import { Subscriber } from '../services/communication/communication';
import { AuthenticationMessage, Message } from '../services/communication/message';
import { KeyManager } from '../storage/keymanager';
import { StorageFactory } from '../storage/storage';
import { IUserCommunication } from '../types/User';
import { UserAuthorization } from './UserAuthorization';
export declare abstract class UserCommunication extends UserAuthorization implements IUserCommunication {
    private communication;
    constructor(_keyManager: KeyManager, storageFactory: StorageFactory);
    loginCommunication(authorization: AuthenticationMessage): Promise<boolean>;
    unsubscribeMessage(id: number): void;
    subscribeMessage(subscriber: Subscriber, type?: string): number;
    sendMessage(message: Message): Promise<boolean>;
    disconnectCommunication(): void;
}
//# sourceMappingURL=UserCommunication.d.ts.map