/**
 * Generates an array of random keywords.
 * @returns {string[]} An array of 6 random keywords.
 */
export declare function generateRandomKeywords(): string[];
/**
 * Generates auto-suggestions based on the input string.
 * @param {string} inputString - The input string for which auto-suggestions are generated.
 * @returns {string[]} An array of auto-suggestions with a maximum of 4 words.
 */
export declare function generateAutoSuggestions(inputString: string): string[];
/**
 * Checks if the input string is a valid keyword.
 * @param {string} word - The input string to be checked.
 * @returns {boolean} True if the input string is a valid keyword, false otherwise.
 */
export declare function isKeyword(word: string): boolean;
//# sourceMappingURL=passphrase.d.ts.map